Interface SmooksEndpointBuilderFactory.SmooksBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
SmooksEndpointBuilderFactory
public static interface SmooksEndpointBuilderFactory.SmooksBuilders
-
Method Summary
Modifier and TypeMethodDescriptionSmooks (camel-smooks) EDI, XML, CSV, etc. based data transformation using Smooks.Smooks (camel-smooks) EDI, XML, CSV, etc. based data transformation using Smooks.
-
Method Details
-
smooks
Smooks (camel-smooks) EDI, XML, CSV, etc. based data transformation using Smooks. Category: transformation Since: 4.7 Maven coordinates: org.apache.camel:camel-smooks Syntax:smooks:smooksConfigPath parameter: smooksConfig (required) Smooks XML configuration file This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
path- smooksConfig- Returns:
- the dsl builder
-
smooks
default SmooksEndpointBuilderFactory.SmooksEndpointBuilder smooks(String componentName, String path) Smooks (camel-smooks) EDI, XML, CSV, etc. based data transformation using Smooks. Category: transformation Since: 4.7 Maven coordinates: org.apache.camel:camel-smooks Syntax:smooks:smooksConfigPath parameter: smooksConfig (required) Smooks XML configuration file This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- smooksConfig- Returns:
- the dsl builder
-